import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { r as randomIdGenerator } from './p-ffe5c0e8.js';

const iconInfoCircleSolidCss = ".sc-digi-icon-info-circle-solid-h{--digi--icon--color:var(--digi--color--icon--primary);--digi--icon--width:initial;--digi--icon--height:auto;display:flex;min-height:1.4em;align-items:center}.sc-digi-icon-info-circle-solid-h svg.sc-digi-icon-info-circle-solid{color:var(--digi--icon--color);max-width:var(--digi--icon--width);max-height:var(--digi--icon--height);width:var(--digi--icon--width, auto);height:var(--digi--icon--height, auto)}";
const DigiIconInfoCircleSolidStyle0 = iconInfoCircleSolidCss;

const IconInfoCircleSolid = /*@__PURE__*/ proxyCustomElement(class IconInfoCircleSolid extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afTitle = undefined;
        this.afDesc = undefined;
        this.afSvgAriaHidden = true;
        this.afSvgAriaLabelledby = undefined;
        this.titleId = randomIdGenerator('icontitle');
    }
    render() {
        return (h("svg", { key: '335ffc9c34598577a83ea7a6d106f10e5dc9149a', class: "digi-icon-info-circle-solid", width: "25", height: "25", viewBox: "0 0 25 25", xmlns: "http://www.w3.org/2000/svg", "aria-hidden": this.afSvgAriaHidden ? 'true' : 'false', "aria-labelledby": this.afSvgAriaLabelledby
                ? this.afSvgAriaLabelledby
                : this.afTitle
                    ? this.titleId
                    : undefined }, this.afTitle && h("title", { key: '20665a758acbc4efbe1b042c77c6ae31854104ee', id: this.titleId }, this.afTitle), this.afDesc && h("desc", { key: 'e6fd58228dd4192c30b1a82c37b144aea7b4e8de' }, this.afDesc), h("path", { key: '269ab52a7141204f1395ba205564717630dcb28d', class: "digi-icon-info-circle-solid__shape", d: "M12.5 0C5.597 0 0 5.599 0 12.5 0 19.405 5.597 25 12.5 25S25 19.405 25 12.5C25 5.599 19.403 0 12.5 0zm0 5.544a2.117 2.117 0 110 4.234 2.117 2.117 0 010-4.234zm2.823 12.803c0 .334-.271.605-.605.605h-4.436a.605.605 0 01-.605-.605v-1.21c0-.334.271-.605.605-.605h.605v-3.226h-.605a.605.605 0 01-.605-.604v-1.21c0-.334.271-.605.605-.605h3.226c.334 0 .605.27.605.605v5.04h.605c.334 0 .605.271.605.605v1.21z", fill: "currentColor", "fill-rule": "nonzero" })));
    }
    static get style() { return DigiIconInfoCircleSolidStyle0; }
}, [2, "digi-icon-info-circle-solid", {
        "afTitle": [1, "af-title"],
        "afDesc": [1, "af-desc"],
        "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
        "afSvgAriaLabelledby": [1, "af-svg-aria-labelledby"],
        "titleId": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-icon-info-circle-solid"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-icon-info-circle-solid":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconInfoCircleSolid);
            }
            break;
    } });
}

const DigiIconInfoCircleSolid = IconInfoCircleSolid;
const defineCustomElement = defineCustomElement$1;

export { DigiIconInfoCircleSolid, defineCustomElement };
